Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP

Loading…

Malformed version number string Base.lproj #1582

Closed
devoleb opened this Issue · 1 comment

2 participants

@devoleb

Report

  • What did you do?
    I performed the following:
    $ pod repo add BRDatabase https://github.com/BelovedRobot/BRDatabase
    $ pod search BRDatabase

  • What did you expect to happen?
    I had added the podspec and verified it with "$ pod spec lint" and then added my source as a repo. I was expecting the search to return the podspec for BRDatabase.

  • What happened instead?
    I received the error copied below. I'm wondering if you can't have a podfile and podspec side-by-side.

Stack

   CocoaPods : 0.25.0
        Ruby : ruby 1.8.7 (2012-02-08 patchlevel 358) [universal-darwin12.0]
    RubyGems : 2.1.5
        Host : Mac OS X 10.8.5 (12F45)
       Xcode : 5.0.1 (5A2053)
Ruby lib dir : /System/Library/Frameworks/Ruby.framework/Versions/1.8/usr/lib
Repositories : BRDatabase - https://github.com/BelovedRobot/BRDatabase @ 01d7ff05d9932325482044c98cb2546608b36a17
               master - https://github.com/CocoaPods/Specs.git @ 69c98a621a6b08c44a62a84b2a283971a20ba273

Podfile

platform :ios

pod 'FMDB', '2.1'

Error

ArgumentError - Malformed version number string Base.lproj
/Library/Ruby/Gems/1.8/gems/cocoapods-core-0.25.0/lib/cocoapods-core/vendor/version.rb:189:in `initialize'
/Library/Ruby/Gems/1.8/gems/cocoapods-core-0.25.0/lib/cocoapods-core/version.rb:62:in `initialize'
/Library/Ruby/Gems/1.8/gems/cocoapods-core-0.25.0/lib/cocoapods-core/source.rb:93:in `new'
/Library/Ruby/Gems/1.8/gems/cocoapods-core-0.25.0/lib/cocoapods-core/source.rb:93:in `versions'
/Library/Ruby/Gems/1.8/gems/cocoapods-core-0.25.0/lib/cocoapods-core/source.rb:91:in `map'
/Library/Ruby/Gems/1.8/gems/cocoapods-core-0.25.0/lib/cocoapods-core/source.rb:91:in `versions'
/Library/Ruby/Gems/1.8/gems/cocoapods-core-0.25.0/lib/cocoapods-core/specification/set.rb:139:in `versions_by_source'
/Library/Ruby/Gems/1.8/gems/cocoapods-core-0.25.0/lib/cocoapods-core/specification/set.rb:138:in `each'
/Library/Ruby/Gems/1.8/gems/cocoapods-core-0.25.0/lib/cocoapods-core/specification/set.rb:138:in `versions_by_source'
/Library/Ruby/Gems/1.8/gems/cocoapods-core-0.25.0/lib/cocoapods-core/specification/set.rb:118:in `versions'
/Library/Ruby/Gems/1.8/gems/cocoapods-core-0.25.0/lib/cocoapods-core/specification/set/presenter.rb:40:in `version'
/Library/Ruby/Gems/1.8/gems/cocoapods-0.25.0/lib/cocoapods/user_interface.rb:165:in `pod'
/Library/Ruby/Gems/1.8/gems/cocoapods-0.25.0/lib/cocoapods/command/search.rb:52:in `run'
/Library/Ruby/Gems/1.8/gems/cocoapods-0.25.0/lib/cocoapods/command/search.rb:47:in `each'
/Library/Ruby/Gems/1.8/gems/cocoapods-0.25.0/lib/cocoapods/command/search.rb:47:in `run'
/Library/Ruby/Gems/1.8/gems/claide-0.3.2/lib/claide/command.rb:206:in `run'
/Library/Ruby/Gems/1.8/gems/cocoapods-0.25.0/lib/cocoapods/command.rb:51:in `run'
/Library/Ruby/Gems/1.8/gems/cocoapods-0.25.0/bin/pod:19
/usr/bin/pod:23:in `load'
/usr/bin/pod:23
@fabiopelosin

pod repo add doesn't work as you expect it to work: you can learn more about it here

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Something went wrong with that request. Please try again.